!!----------------------------------------------------------------------------
!! $Id: read_params.f90,v 1.1 1997/11/11 03:18:13 scott Exp $
!! subroutine read_params:
!!    This subroutine will read in parameters used for the MC iterations
!!    Author: Scott A. Klasky
!!    Date  : 10/19/97
!!----------------------------------------------------------------------------
subroutine read_params(max_params,params)
  use PATHS
  use input_params
  implicit none
  integer                                  :: max_params
  real*8,dimension(max_params)             :: params

  integer                                  :: i, inum

  open(30,file='american.in')
  do i = 1 , max_params
     read(30,*) params(i), inum
     if (i /= inum) then
        write(*,*) "Input parameter ",i," is incorrect!"
        stop
     end if
  enddo
  close(30)

  return
end subroutine read_params
